.compare-count-fixed {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 9999;
    display: flex;
    align-items: center;
    background: #3B3B3B;
    padding: 8px 12px;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
}

.compare-count-icon-wrapper {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.compare-count-circle {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background-color: #8C0014;
    color: #fff;
    font-size: 11px;
    position: absolute;
    top: 3px;
    right: 0px;
}

.compare-count-fixed:has(.compare-count-items:empty) {
    display: none;
}

.compare-count-items {
    line-height: 1;
}

.compare-count-icon {
    padding: 10px;
}

.compare-count-icon svg {
    width: 40px;
    height: 40px;
}

.compare-count-icon svg path.fill-color {
    fill: #fff;
}

@media screen and (max-width: 1366px) {
    .compare-count-fixed {
        bottom: 18px;
        left: 18px;
        top: unset;
        right: unset;
    }
}
